Package org.eclipse.net4j.util.concurrent

## Class PriorityQueueRunnable

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.PriorityQueueRunnable

- All Implemented Interfaces:
    `java.lang.Comparable<PriorityQueueRunnable>`, `java.lang.Runnable`

      public abstract class PriorityQueueRunnable
      extends java.lang.Object
      implements java.lang.Runnable, java.lang.Comparable<PriorityQueueRunnable>

  Since:
    3.3
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PriorityQueueRunnable()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(PriorityQueueRunnable o)` |
    `protected abstract java.lang.Integer` | `getPriority()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Runnable

      `run`

- - ### Constructor Detail

    - #### PriorityQueueRunnable

          public PriorityQueueRunnable()

  - ### Method Detail

    - #### compareTo

          public int compareTo​(PriorityQueueRunnable o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<PriorityQueueRunnable>`

    - #### getPriority

          protected abstract java.lang.Integer getPriority()